Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4055 - the default init files have some bad interactions
Summary: the default init files have some bad interactions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: zsh
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-15 16:06 UTC by monnier+lists/redhat/bugs
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 17:17:19 UTC


Attachments (Terms of Use)

Description monnier+lists/redhat/bugs 1999-07-15 16:06:45 UTC
/etc/zshenv:
	keeps adding elements to the path.  Annoying when
	zsh is called from within zsh (such as a zsh shell
	in an emacs buffer started from an zsh shell in an
	xterm itself started from a zsh shell run from
	.xsession
	But at least it puts them at the end, so it's not
	too intrusive
/etc/zshrc:
	most of the crap has nothing to do in there and
	should be in /etc/skel/.zshrc instead.  Else it's
	a real pain the ass for the user to override them.
	setting `umask' in the zshrc file is a bad idea.
	especially since it is sourced after ~/.zshenv and
	~/.zprofile which means that it
	overrides and user setting of `umask' in those
	files.  It should be in /etc/zshenv
	or /etc/zprofile if anywhere.
	setting USER is evil.  USER is already set
	automatically, leave it as it is.  Same thing
	for LOGNAME.
	is set `path' and then `PATH' although these are
	one and the same variable, so you end up adding
	$HOME/bin twice (and this gets repeated ad-nauseaum
	in the same way as the /etc/zshenv settings if
	you execute zsh from within zsh).
	`bindkey -e' is also annoying and unnecessary:
	unless VISUAL or EDITOR contains `vi' the bindings
	default to `-e' already.  Adding the explicit
	`bindkey' defeats this useful feature.

Comment 1 Cristian Gafton 1999-07-21 21:52:59 UTC
assigned to notting

Comment 2 Bill Nottingham 1999-07-29 16:40:59 UTC
will be fixed in next Raw Hide release.

Comment 3 Trond Eivind Glomsrød 1999-08-22 16:17:59 UTC
/etc/zprofile:
       Source all .sh-files (it is compatible) instead of
non-existing       .zsh-files from /etc/profile.d/ - just remove the
#s and replace       .zsh with .sh


Note You need to log in before you can comment on or make changes to this bug.